(add-to-list 'load-path "~/.emacs.d/lisp/")

(require 'cl)

(setq emacs-private-config (expand-file-name "~/.emacs.d/config/"))
(setq gnus-init-file (expand-file-name "~/.emacs.d/gnus.el"))

(load-file "~/.emacs.d/emacs-site.el")

(setq custom-file "~/.emacs.d/emacs-custom.el")
(load custom-file)

(dolist (file-to-load '("general.el"
                        "fonts.el"
                        "yas.el"
                        "python.el"
                        "c.el"
                        "irony.el"
                        "org.el"
                        "slime.el"
                        "whitespace.el"
                        "jabber.el"
                        "erc.el"
                        "pastebin.el"
                        "transparent.el"))
  (load-file (concat emacs-private-config file-to-load)))
